# 88. Mutation: ZonesMap exporteren als gezipte shapefile

Genereer een zip-archief met de geselecteerde "ZonesMap" als shapefile.

{% hint style="info" %}
Het archief bestaat uit \*.shp, \*.shx, \*.prj, \*.dbf bestanden in EPSG:4326.
{% endhint %}

### 1. Voorbereiding

* Het attribuut `vectorAnalysisMaps` bevat een array van ZonesMaps (VectorAnalysisMaps) objecten die geëxporteerd moeten worden. Elk dergelijk object bevat een paar van `fieldUuid` (koppeling naar het geselecteerde perceel) en `uuid` (koppeling naar de geselecteerde ZonesMap).
* Het boolean attribuut `asMultiGeometry` bepaalt of zones geëxporteerd worden als `Polygonen` of `MultiPolygonen` (wanneer ingesteld op `true` ).
* Het boolean attribuut `onlyProductColumns` geeft aan of alleen kolommen met producten (RX) in de shapefile moeten worden opgenomen (wanneer `true`). Anders worden alle statistische attributen en zone-ID's als kolommen opgenomen.
* Het attribuut `archiveName` bevat de naam van het gegenereerde zip-archief.
* Het attribuut `filePostfix` maakt het mogelijk aangepaste postfixen toe te voegen aan de geëxporteerde bestanden en het archief.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation exportData {
  exportData(
    input: {
      filePostfix:"_GP" 
      vectorAnalysisMaps:[
        {
          uuid:"<placeholder_zones_map_uuid>"
          fieldUuid:"<placeholder_field_uuid>"
        },
        {
          uuid:"<placeholder_zones_map_uuid>"
          fieldUuid:"<placeholder_field_uuid>"
        }
      ]
      asMultiGeometry:true 
      onlyProductColumns:true 
      archiveName:"ArchivedZonesMaps"
    }
  ) {
    archiveUrl
    
    zippedVectorAnalysisMaps {
      uuid
      fieldUuid
      status
    }
    ignoredVectorAnalysisMaps  {
      uuid
      fieldUuid
      status
    } 
  }
}
```

{% endcode %}

### 2. Download het gegenereerde archief

Na uitvoering van de GraphQL-query kan het worden gedownload met `curl` of een vergelijkbare methode.

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl '<archiveUrl>' --compressed >> '<archiveUrl>'
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/nl/api-docs/overzicht-van-api-verzoeken-van-geopard/88.-mutation-zonesmap-exporteren-als-gezipte-shapefile.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
